Loading...
Searching...
No Matches
Dune::CartesianIndexMapper< Dune::ALUGrid< 3, 3, Dune::cube, Dune::nonconforming > > Class Reference

Interface class to access the logical Cartesian grid as used in industry standard simulator decks. More...

`#include <AluGridCartesianIndexMapper.hpp>`

## Classes

class | GlobalIndexDataHandle

## Public Types

using | Grid = Dune::ALUGrid<3, 3, Dune::cube, Dune::nonconforming, Dune::ALUGridNoComm>

## Public Member Functions

| CartesianIndexMapper (const Grid &grid, const std::array< int, dimension > &cartDims, const std::vector< int > &cartesianIndex)
| constructor taking grid
const std::array< int, dimension > & | cartesianDimensions () const
| return Cartesian dimensions, i.e.
int | cartesianSize () const
| return total number of cells in the logical Cartesian grid
int | compressedSize () const
| return number of cells in the active grid
int | cartesianIndex (const int compressedElementIndex) const
| return index of the cells in the logical Cartesian grid
int | cartesianIndex (const std::array< int, dimension > &coords) const
| return index of the cells in the logical Cartesian grid
void | cartesianCoordinate (const int compressedElementIndex, std::array< int, dimension > &coords) const
| return Cartesian coordinate, i.e.
template<class GridView>
std::unique_ptr< GlobalIndexDataHandle< GridView > > | dataHandle (const GridView &gridView)

## Static Public Attributes

static constexpr int | dimension = Grid::dimension
| dimension of the grid

## Protected Member Functions

int | computeCartesianSize () const

## Protected Attributes

const Grid & | grid_
const std::array< int, dimension > | cartesianDimensions_
std::vector< int > | cartesianIndex_
const int | cartesianSize_

## Detailed Description

Interface class to access the logical Cartesian grid as used in industry standard simulator decks.

## Member Function Documentation

## cartesianCoordinate()

void Dune::CartesianIndexMapper< Dune::ALUGrid< 3, 3, Dune::cube, Dune::nonconforming > >::cartesianCoordinate | ( | const int | compressedElementIndex,
|  | std::array< int, dimension > & | coords ) const

inline

return Cartesian coordinate, i.e.

IJK, for a given cell

## cartesianDimensions()

const std::array< int, dimension > & Dune::CartesianIndexMapper< Dune::ALUGrid< 3, 3, Dune::cube, Dune::nonconforming > >::cartesianDimensions | ( |  | ) | const

inline

return Cartesian dimensions, i.e.

number of cells in each direction

The documentation for this class was generated from the following file:

- opm/simulators/flow/AluGridCartesianIndexMapper.hpp